Contributor - Level 2

X Air app

Hiya, I work with an XR18 and mix via the X Air app on an iPad2 running iOS 9.3.5. Since the app updated a couple of days ago, every time I try and connect to the mixer via the app, the app crashes (even does this when trying to load demo modes). Any ideas? Many thanks,
Fatgaz99 Contributor - Level 2 2019-12-01

2019-12-01

X Air app

Hiya, I work with an XR18 and mix via the X Air app on an iPad2 running iOS 9.3.5. Since the app updated a couple of days ago, every time I try and connect to the mixer via the app, the app crashes (even does this when trying to load demo modes). Any ideas? Many thanks,

  • 0 Kudos
  • 4 Replies
  • Reply
Highlighted
Rising Star - Level 3

Re: X Air app

Hi Gary @Fatgaz99 , 

 

Welcome to the community.  Unfortunately, the fix for the IOS13 crashes seems to be causing crashes on some iPad minis as well as IOS9 and IOS10 devices.  Hopefully a fix will be coming soon.  In the mean time I'd suggest you take a look at Mixing Station.  Many of us have been using it on Android for a long time and it's now cross-platform supporting IOS as well.   

 

Hope this helps, 

Ken

If you want "Loud", then run a piece of sheet metal through a table saw. --Ivan Beaver
Contributor - Level 2

Re: X Air app

Hi Ken, many thanks for this. It seems the app has now been updated to fix bugs but requires iOS 12 as a minimum. Will look at Mixing Station but feel that android could be the way to go. Gary
Rising Star - Level 3

Re: X Air app

@Fatgaz99 ,

 

It appears that either Apple or Behringer has fixed the compatibility settings in the App Store.  Take a look at this post: https://community.musictribe.com/t5/Recording/X-Air-M-Air-crash-on-IpadOS-iOS-13/m-p/282223#M53917

 

All is not lost with IOS but I still prefer Mixing Station, on both IOS and Android. 

Ken

If you want "Loud", then run a piece of sheet metal through a table saw. --Ivan Beaver
Contributor - Level 2

Re: X Air app

Thanks Ken, will have a look at the solution in the link and see what happens. My iPad was still saying the app is not compatible earlier. Gary